# List Past Transfers

<EndpointPage
  breadcrumbs={[
    { label: "Trading", href: "/trading/trading" },
    { label: "Fund Management", href: "/trading/rest-api/fund-management" },
    { label: "List Past Transfers" },
  ]}
  title="List Past Transfers"
  method="POST"
  url="https://api.gemini.com/v1/transfers"
  description="Returns deposits and withdrawals in the supported currencies. When deposits show as Advanced or Complete they are available for trading."
  note={{
    title: "Note",
    children: (
      <>
        <p style={{ margin: "0 0 8px" }}>Under the terms of the <a href="https://www.gemini.com/legal/api-agreement" style={{ color: "inherit", textDecorationLine: "underline" }}>Gemini API Agreement</a>, polling this endpoint may be subject to <a href="/rate-limit" style={{ color: "inherit", textDecorationLine: "underline" }}>rate limiting</a>. This endpoint is currently restricted further than standard rate limiting to a rate of 1 request per 5 seconds per subaccount. This rate is subject to change.</p>
        <p style={{ margin: "0 0 8px" }}>This endpoint does not currently show cancelled advances, returned outgoing wires or ACH transactions, or other exceptional transaction circumstances.</p>
        <p style={{ margin: 0 }}>Fiat transfers between non-derivative and derivatives accounts are prohibited.</p>
      </>
    ),
  }}
  example={{
    request: {
      method: "POST",
      url: "https://api.gemini.com/v1/transfers",
      headers: [
        { name: "X-GEMINI-APIKEY", value: "<string>" },
        { name: "X-GEMINI-PAYLOAD", value: "<string>" },
        { name: "X-GEMINI-SIGNATURE", value: "<string>" },
      ],
      body: {
        request: "/v1/transfers",
        nonce: "<nonce>",
      },
    },
  }}
  sections={[
    {
      heading: "Roles",
      children: (
        <>
          <p style={{ margin: "0 0 2px" }}>The API key you use to access this endpoint must have the Trader, Fund Manager, or Auditor role assigned. See <a href="https://docs.gemini.com/roles#roles" style={{ color: "inherit", textDecorationLine: "underline" }}>Roles</a> for more information.</p>
          <p style={{ margin: 0 }}>The OAuth scope must have <InlineBadge>history:read</InlineBadge> assigned to access this endpoint. See <a href="/authentication/oauth#oauth-scopes" style={{ color: "inherit", textDecorationLine: "underline" }}>OAuth Scopes</a> for more information.</p>
        </>
      ),
    },
    {
      heading: "Headers",
      children: <SpecHeaders operationId="listPastTransfers" />,
    },
    {
      heading: "Request Body",
      children: <SpecParams operationId="listPastTransfers" />,
    },
    {
      heading: "Responses",
      children: <SpecResponses operationId="listPastTransfers" />,
    },
  ]}
/>

<PageNavigation
  prev={{ label: "Create New Deposit Address", href: "/trading/rest-api/fund-management/create-new-deposit-address" }}
  next={{ label: "List Custody Fee Transfers", href: "/trading/rest-api/fund-management/list-custody-fee-transfers" }}
/>
